from model_zoo import get_model
def debias_i2t_scores_batched_llm(root_dir, device, joint_loader, **kwargs):
    assert 'llm' in kwargs
    assert 'prompt' in kwargs
    model, _ = get_model(kwargs['llm'], device, root_dir=root_dir)
    _, debias_i2t_scores = model.get_scores_batched(joint_loader, prompt=kwargs['prompt'])
    return debias_i2t_scores